IPCMK(1)

NAMN
ipcmk - skapa olika IPC-resurser

SYNOPSIS

ipcmk [flaggor]

BESKRIVNING

med ipcmk kan du skapa IPC-objekt (inter-process communication) för POSIX och System V: delade minnessegment, meddelandeköer och semaforer (matriser för System V).

FLAGGOR

Resurser kan specificeras med dessa flaggor:

-M, --shmem storlek
    Skapa ett delat minnessegment på storlek bytes. Argumentet storlek kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024), och så vidare för GiB, etc. ("iB" är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000), och så vidare för GB, etc.

-m, --posix-shmem storlek
    Skapa ett POSIX-delat minnessegment på storlek bytes. Argumentet storlek kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024), och så vidare för GiB, etc. ("iB" är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000), och så vidare för GB, etc.

-Q, --queue
    Skapa en meddelandekö.

-q, --posix-mqueue
    Skapa en POSIX-meddelandekö.

-S, --semaphore nummer
    Skapa en semaforarray med antal element.

-s, --posix-semaphore
    Skapa en POSIX-namngiven semafor.

-n, --name namn
    Namn på POSIX IPC-objektet. Denna flagga är obligatoriskt för POSIX IPC-objekt.

Andra flaggor är:

-p, --mode läge
    Åtkomstbehörighet för resursen. Standardvärdet är 0644.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UPPHOVSPERSONER

SE ÄVEN

ipcrm(1), ipcs(1), lsipc(1), sysvipc(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ipcmk ingår i paketet util-linux som kan hämtas från